get.cocor.input {cocor} | R Documentation

## Get input parameters of a cocor result object

### Description

Returns input parameters of a cocor result object of class 'cocor.indep.groups', 'cocor.dep.groups.overlap', or 'cocor.dep.groups.nonoverlap' as a list with each slot representing a list element.

### Usage

    get.cocor.input(result.object)

    ## S4 method for signature 'cocor'
    get.cocor.input(result.object)

### Arguments

`result.object` | A cocor result object of class 'cocor.indep.groups', 'cocor.dep.groups.overlap', or 'cocor.dep.groups.nonoverlap'.

### Value

Returns a list containing all input parameters as list elements:

`r1.jk` | A number specifying the correlation between j and k measured in group 1 (only for result objects of class 'cocor.indep.groups').
`r2.hm` | A number specifying the correlation between h and m measured in group 2 (only for result objects of class 'cocor.indep.groups').
`n1` | An integer defining the size of group 1 (only for result objects of class 'cocor.indep.groups').
`n2` | An integer defining the size of group 2 (only for result objects of class 'cocor.indep.groups').
`r.jk` | A number specifying the correlation between j and k (only for result objects of class 'cocor.dep.groups.overlap' and 'cocor.dep.groups.nonoverlap').
`r.jh` | A number specifying the correlation between j and h (only for result objects of class 'cocor.dep.groups.overlap').
`r.hm` | A number specifying the correlation between h and m (only for result objects of class 'cocor.dep.groups.nonoverlap').
`n` | An integer defining the size of the group (only for result objects of class 'cocor.dep.groups.overlap' and 'cocor.dep.groups.nonoverlap').
`alternative` | A character string specifying whether the alternative hypothesis is two-sided ("two.sided") or one-sided ("greater" or "less", depending on the direction).
`alpha` | A number defining the alpha level for the hypothesis test.
`conf.level` | A number defining the level of confidence for the confidence interval.
`null.value` | A number defining the hypothesized difference between the two correlations used for testing the null hypothesis.
`data.name` | A vector of character strings describing the data/groups.
`var.labels` | A vector of four character strings specifying the labels for j, k, h, and m (in this order).

### See Also

get.cocor.results, cocor, cocor.indep.groups, cocor.dep.groups.overlap, cocor.dep.groups.nonoverlap

### Examples

    data("aptitude")

    cocor.result <- cocor(~knowledge + intelligence.a | logic + intelligence.a,
          aptitude$sample1)
    get.cocor.input(cocor.result)

[Package cocor version 1.1-3 Index]